Subject: Re: bug#32975: Emacs 26.1; GTK Warnings

From: Robert Pluim <[email-masked]>
Date: Thu, 11 Oct 2018 11:22:30 +0200

martin rudalics <[email-masked]> writes:

>>> Do we want to skip xg_set_widget_bg too?
>>
>> I can't see a code path where that would get called in the non-toolkit
>> case, but the code is a twisty maze of similar functions.
>
> Don't we want to fix toolkit (GTK) builds with non-toolkit scroll bars
> here?  Or am I missing something?

We do, but I only see xg_set_widget_bg getting called on scrollbar
widgets when USE_TOOLKIT_SCROLL_BARS is set, in which case they're GTK
widgets, so thatʼs the right thing to do.

Robert